## openstreetmap-map-icons 0.0.0.20080713

=== CMakeLists.txt ===
PROJECT(icons)

INSTALL(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/square.big/
	DESTINATION ${ICON_INSTALL_DIR}/square.big
	REGEX ".svn" EXCLUDE )

INSTALL(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/square.small/
	DESTINATION ${ICON_INSTALL_DIR}/square.small
	REGEX ".svn" EXCLUDE )

INSTALL(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/classic.big/
	DESTINATION ${ICON_INSTALL_DIR}/classic.big
	REGEX ".svn" EXCLUDE )

INSTALL(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/classic.small/
	DESTINATION ${ICON_INSTALL_DIR}/classic.small
	REGEX ".svn" EXCLUDE )

## openstreetmap-map-icons 0.0.svn20783

=== debian/changelog ===
openstreetmap-map-icons (1:0.0.svn20783-1) unstable; urgency=low

  [ Giovanni Mascellani ]
  * New upstream release
  * Adjusting section to override: utils
  * Bumping Standards-Version to 3.8.4 (no changes required)
  * Adding ${misc:Depends} to dependencies (to make lintian happy)
  * Switch to dpkg-source 3.0 (quilt) format
  * Vcs-* moved to new git repository

  [ David Paleino ]
  * debian/control: added myself and pkg-osm to Uploaders

 -- David Paleino <dapal@debian.org>  Mon, 05 Apr 2010 09:17:06 +0200

openstreetmap-map-icons (1:0.0.svn18468-1) unstable; urgency=low

  * Packaging new upstream revision (closes: #497718)
  * Bumping Standards-Version to 3.8.3 (no changes required)

 -- Giovanni Mascellani <mascellani@poisson.phc.unipi.it>  Fri, 06 Nov 2009 16:55:12 +0100

openstreetmap-map-icons (1:0.0.0.20080713-1) unstable; urgency=low

  * Initial Release. (Closes: #439676)
    The openstreetmap-map-icons-* packages were originally provided
    by the gpdsrive source package up to version 2.10~pre4-3.
    Gpsdrive upstream no longer distributes the icon set.
  * Added epoch to version to provide a greater version then gpsdrive.
  * Cmake modules got removed upstream, no longer needed to mention
    them in the copyright file.
  
  * Upload sponsored by Petter Reinholdtsen.

 -- Andreas Putzo <andreas@putzo.net>  Sun, 13 Jul 2008 16:26:14 +0000

=== debian/control ===
Source: openstreetmap-map-icons
Section: utils
Priority: optional
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Andreas Putzo <andreas@putzo.net>,
 Giovanni Mascellani <mascellani@poisson.phc.unipi.it>
 , David Paleino <dapal@debian.org>
 , Debian OpenStreetMap Team <pkg-osm-maint@lists.alioth.debian.org>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.8.4
Homepage: http://wiki.openstreetmap.org/index.php/Map_Icons
Vcs-Git: git://git.debian.org/pkg-grass/openstreetmap-map-icons.git
Vcs-Browser: http://git.debian.org/?p=pkg-grass/openstreetmap-map-icons.git

Package: openstreetmap-map-icons-classic
Architecture: all
Depends: ${misc:Depends}
Description: Collection of map icons (classic set)
 This package provides a set of icons intended to be used
 together with maps. Several point-of-interest categories
 are covered like accommodation, education, food, health,
 geocache, places, religion, shopping, etc.
 .
 This package contains the classic set from the OpenStreetMap
 project.

Package: openstreetmap-map-icons-square
Architecture: all
Depends: ${misc:Depends}
Description: Collection of map icons (square set)
 This package provides a set of icons intended to be used
 together with maps. Several point-of-interest categories
 are covered like accommodation, education, food, health,
 geocache, places, religion, shopping, etc.
 .
 This package contains the square set from the OpenStreetMap
 project.

Package: openstreetmap-map-icons-scalable
Architecture: all
Depends: ${misc:Depends}
Description: Collection of map icons (scalable set)
 This package provides a set of icons intended to be used
 together with maps. Several point-of-interest categories
 are covered like accommodation, education, food, health,
 geocache, places, religion, shopping, etc.
 .
 This package contains the scalable set from the OpenStreetMap
 project.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules for openstreetmap-map-icons that uses debhelper.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

SVNREPO := http://svn.openstreetmap.org/applications/share/map-icons
DATE := $(shell date +%Y%m%d)
VERSION := 0.0.svn${SVNREV}
DESTDIR := ../tarballs/openstreetmap-map-icons-${VERSION}
DESTTGZ := ../tarballs/openstreetmap-map-icons_${VERSION}.orig.tar.gz

build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp: 
	touch $@

build-indep: build-indep-stamp
build-indep-stamp: 
	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp
	dh_clean

install: install-indep install-arch
install-indep:
	dh_testdir
	dh_testroot
	dh_clean -k -i
	dh_installdirs -i
	dh_install -i
	for i in classic scalable square ; do \
		find $(CURDIR)/debian/openstreetmap-map-icons-$$i/usr/share/icons/openstreetmap/ -type d -empty -delete ; \
		find $(CURDIR)/debian/openstreetmap-map-icons-$$i/usr/share/icons/openstreetmap/ -type f | xargs chmod 644 ; \
	done

install-arch:

binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	for i in classic.small classic.big square.small square.big scalable ; do \
		dh_link usr/share/icons/openstreetmap/$$i usr/share/doc/openstreetmap-map-icons-classic/examples/$$i ; \
	done
	dh_compress
	dh_fixperms 
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb
# Build architecture independant packages using the common target.
binary-indep: build-indep install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch

binary: binary-arch binary-indep

get-orig-source:
	dh_testdir
	test -d ../tarballs/. || mkdir -p ../tarballs
	@echo Downloading openstreetmap-map-icons from $(SVNREPO)
	svn -r $(SVNREV) export $(SVNREPO) $(DESTDIR)
	@echo Removing directories: debian nickw japan
	rm -rf $(DESTDIR)/debian
	rm -rf $(DESTDIR)/nickw
	rm -rf $(DESTDIR)/japan
	@echo Building snapshot tarball
	tar czf $(DESTTGZ) -C `dirname $(DESTDIR)` `basename $(DESTDIR)`
	@echo Cleaning up
	rm -rf $(DESTDIR)
	@echo .
	@echo To update debian/changelog type
	@echo dch -v $(VERSION)-1
	@echo .

.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch

## openstreetmap-map-icons 0.0.svn23763

=== debian/changelog ===
openstreetmap-map-icons (1:0.0.svn23763-1) unstable; urgency=low

  * New SVN snapshot
  * Package moved to Debian OpenStreetMap Team -- it has nothing GIS :)

 -- David Paleino <dapal@debian.org>  Mon, 03 Jan 2011 10:34:17 +0100

openstreetmap-map-icons (1:0.0.svn23649-1) unstable; urgency=low

  * New SVN snapshot
  * debian/compat bumped to 8
  * debian/control:
    - build-dependency on debhelper bumped to >= 8~
    - Standards Version bumped to 3.9.1, no changes needed
  * debian/rules:
    - rewritten using dh7
    - do magic things also with scalable-twotone
  * debian/copyright DEP-5-ized
  * debian/openstreetmap-map-icons-scalable.install: also install
    svg-twotone

 -- David Paleino <dapal@debian.org>  Sun, 17 Oct 2010 09:42:32 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,14 @@
 Source: openstreetmap-map-icons
 Section: utils
 Priority: optional
-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
-Uploaders: Andreas Putzo <andreas@putzo.net>,
- Giovanni Mascellani <mascellani@poisson.phc.unipi.it>
+Maintainer: Debian OpenStreetMap Team <pkg-osm-maint@lists.alioth.debian.org>
+Uploaders: Giovanni Mascellani <mascellani@poisson.phc.unipi.it>
  , David Paleino <dapal@debian.org>
- , Debian OpenStreetMap Team <pkg-osm-maint@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 5)
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 8~)
+Standards-Version: 3.9.1
 Homepage: http://wiki.openstreetmap.org/index.php/Map_Icons
-Vcs-Git: git://git.debian.org/pkg-grass/openstreetmap-map-icons.git
-Vcs-Browser: http://git.debian.org/?p=pkg-grass/openstreetmap-map-icons.git
+Vcs-Git: git://git.debian.org/pkg-osm/openstreetmap-map-icons.git
+Vcs-Browser: http://git.debian.org/?p=pkg-osm/openstreetmap-map-icons.git
 
 Package: openstreetmap-map-icons-classic
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules for openstreetmap-map-icons that uses debhelper.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

SVNREPO := http://svn.openstreetmap.org/applications/share/map-icons
DATE := $(shell date +%Y%m%d)
VERSION := 0.0.svn${SVNREV}
DESTDIR := ../tarballs/openstreetmap-map-icons-${VERSION}
DESTTGZ := ../tarballs/openstreetmap-map-icons_${VERSION}.orig.tar.gz

%:
	dh $@

override_dh_install:
	dh_install
	for i in classic scalable scalable square ; do \
		find $(CURDIR)/debian/openstreetmap-map-icons-$$i/usr/share/icons/openstreetmap/ -type d -empty -delete ; \
		find $(CURDIR)/debian/openstreetmap-map-icons-$$i/usr/share/icons/openstreetmap/ -type f | xargs chmod 644 ; \
	done

	rm -rf $(CURDIR)/debian/openstreetmap-map-icons-scalable/usr/share/icons/openstreetmap/scalable-twotone/*.sh
	rm -rf $(CURDIR)/debian/openstreetmap-map-icons-scalable/usr/share/icons/openstreetmap/scalable-twotone/LICENSE.txt

override_dh_link:
	for i in classic.small classic.big square.small square.big scalable scalable-twotone; do \
		dh_link usr/share/icons/openstreetmap/$$i usr/share/doc/openstreetmap-map-icons-classic/examples/$$i ; \
	done

override_dh_auto_configure:
	# pass

override_dh_auto_build:
	# pass

get-orig-source:
	dh_testdir
	test -d ../tarballs/. || mkdir -p ../tarballs
	@echo Downloading openstreetmap-map-icons from $(SVNREPO)
	svn -r $(SVNREV) export $(SVNREPO) $(DESTDIR)
	@echo Removing directories: debian nickw japan
	rm -rf $(DESTDIR)/debian    # not really needed with "3.0 (quilt)"
	rm -rf $(DESTDIR)/nickw
	rm -rf $(DESTDIR)/japan
	@echo Building snapshot tarball
	tar czf $(DESTTGZ) -C `dirname $(DESTDIR)` `basename $(DESTDIR)`
	@echo Cleaning up
	rm -rf $(DESTDIR)
	@echo .
	@echo To update debian/changelog type
	@echo dch -v $(VERSION)-1
	@echo .

## openstreetmap-map-icons 0.0.svn26700

=== debian/changelog ===
openstreetmap-map-icons (1:0.0.svn26700-1) unstable; urgency=low

  [ Giovanni Mascellani ]
  * Adding my new email address.
  * Fixing debian/copyright for new year.

  [ David Paleino ]
  * New SVN snapshot
  * Standards-Version bump to 3.9.2, no changes needed
  * Fix debian/copyright for DEP-5

 -- David Paleino <dapal@debian.org>  Sun, 25 Sep 2011 22:40:49 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: utils
 Priority: optional
 Maintainer: Debian OpenStreetMap Team <pkg-osm-maint@lists.alioth.debian.org>
-Uploaders: Giovanni Mascellani <mascellani@poisson.phc.unipi.it>
+Uploaders: Giovanni Mascellani <gio@debian.org>
  , David Paleino <dapal@debian.org>
 Build-Depends: debhelper (>= 8~)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://wiki.openstreetmap.org/index.php/Map_Icons
 Vcs-Git: git://git.debian.org/pkg-osm/openstreetmap-map-icons.git
 Vcs-Browser: http://git.debian.org/?p=pkg-osm/openstreetmap-map-icons.git

## openstreetmap-map-icons 0.0.svn27763

=== debian/changelog ===
openstreetmap-map-icons (1:0.0.svn27763-1) unstable; urgency=low

  * New SVN snapshot
  * Standards-Version bump to 3.9.3, no changes needed
  * Updated debian/copyright

 -- David Paleino <dapal@debian.org>  Thu, 22 Mar 2012 15:00:33 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Giovanni Mascellani <gio@debian.org>
  , David Paleino <dapal@debian.org>
 Build-Depends: debhelper (>= 8~)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://wiki.openstreetmap.org/index.php/Map_Icons
 Vcs-Git: git://git.debian.org/pkg-osm/openstreetmap-map-icons.git
 Vcs-Browser: http://git.debian.org/?p=pkg-osm/openstreetmap-map-icons.git

## openstreetmap-map-icons 0.0.svn28731

=== debian/changelog ===
openstreetmap-map-icons (1:0.0.svn28731-1) unstable; urgency=low

  [ Giovanni Mascellani ]
  * Remove myself from the uploaders list, since I have no time
    anymore to look after this package.
  
  [ David Paleino ]
  * New SVN snapshot
  * Standards-Version bump to 3.9.4, no changes needed
  * Updated Vcs-* fields

 -- David Paleino <dapal@debian.org>  Wed, 19 Dec 2012 23:33:12 +0100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: utils
 Priority: optional
 Maintainer: Debian OpenStreetMap Team <pkg-osm-maint@lists.alioth.debian.org>
-Uploaders: Giovanni Mascellani <gio@debian.org>
- , David Paleino <dapal@debian.org>
+Uploaders:
+ David Paleino <dapal@debian.org>
 Build-Depends: debhelper (>= 8~)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://wiki.openstreetmap.org/index.php/Map_Icons
-Vcs-Git: git://git.debian.org/pkg-osm/openstreetmap-map-icons.git
-Vcs-Browser: http://git.debian.org/?p=pkg-osm/openstreetmap-map-icons.git
+Vcs-Git: git://anonscm.debian.org/pkg-osm/openstreetmap-map-icons.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-osm/openstreetmap-map-icons.git
 
 Package: openstreetmap-map-icons-classic
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -27,11 +27,6 @@
 	rm -rf $(CURDIR)/debian/openstreetmap-map-icons-scalable/usr/share/icons/openstreetmap/scalable-twotone/*.sh
 	rm -rf $(CURDIR)/debian/openstreetmap-map-icons-scalable/usr/share/icons/openstreetmap/scalable-twotone/LICENSE.txt
 
-override_dh_link:
-	for i in classic.small classic.big square.small square.big scalable scalable-twotone; do \
-		dh_link usr/share/icons/openstreetmap/$$i usr/share/doc/openstreetmap-map-icons-classic/examples/$$i ; \
-	done
-
 override_dh_auto_configure:
 	# pass

=== debian/watch ===
# Watch file missing, because upstream doesn't make official releases.

## openstreetmap-map-icons 0.0.svn30763

=== debian/changelog ===
openstreetmap-map-icons (1:0.0.svn30763-1) unstable; urgency=medium

  * New upstream SVN snapshot.
  * Bump debhelper compatibility to 9.
  * Restructure control file with cme.
  * Switch Maintainer from the Debian OpenStreetMap Team to the Debian
    GIS Project.
  * Add myself to Uploaders.
  * Add Source to copyright.
  * Add patch to use local icon images in examples.
  * Update copyright file, add Copyright fields.
  * Bump Standards-Version to 3.9.6, changes: copyright.
  * Add gbp.conf to use pristine-tar by default.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Fri, 24 Oct 2014 18:56:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: openstreetmap-map-icons
+Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Uploaders: David Paleino <dapal@debian.org>,
+           Debian OpenStreetMap Team <pkg-osm-maint@lists.alioth.debian.org>,
+           Bas Couwenberg <sebastic@xs4all.nl>
 Section: utils
 Priority: optional
-Maintainer: Debian OpenStreetMap Team <pkg-osm-maint@lists.alioth.debian.org>
-Uploaders:
- David Paleino <dapal@debian.org>
-Build-Depends: debhelper (>= 8~)
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.6
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/openstreetmap-map-icons.git
+Vcs-Git: git://anonscm.debian.org/pkg-grass/openstreetmap-map-icons.git
 Homepage: http://wiki.openstreetmap.org/index.php/Map_Icons
-Vcs-Git: git://anonscm.debian.org/pkg-osm/openstreetmap-map-icons.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-osm/openstreetmap-map-icons.git
 
 Package: openstreetmap-map-icons-classic
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
+         openstreetmap-map-icons-square
 Description: Collection of map icons (classic set)
  This package provides a set of icons intended to be used
  together with maps. Several point-of-interest categories
@@ -45,3 +47,4 @@
  .
  This package contains the scalable set from the OpenStreetMap
  project.
+

## openstreetmap-map-icons 0.0.svn30932

=== debian/changelog ===
openstreetmap-map-icons (1:0.0.svn30932-1~exp1) experimental; urgency=medium

  * New upstream SVN snapshot. 

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sun, 01 Feb 2015 18:49:12 +0100

openstreetmap-map-icons (1:0.0.svn30893-1~exp1) experimental; urgency=medium

  * New upstream SVN snapshot.
  * Update Vcs-Browser URL to use cgit instead of gitweb.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Wed, 31 Dec 2014 19:14:02 +0100

openstreetmap-map-icons (1:0.0.svn30838-1~exp1) experimental; urgency=medium

  * New upstream SVN snapshot.
  * Fix version in dch example to include epoch.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Wed, 10 Dec 2014 21:20:28 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Build-Depends: debhelper (>= 9)
 Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/openstreetmap-map-icons.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-grass/openstreetmap-map-icons.git
 Vcs-Git: git://anonscm.debian.org/pkg-grass/openstreetmap-map-icons.git
 Homepage: http://wiki.openstreetmap.org/index.php/Map_Icons

=== debian/rules ===
--- 
+++ 
@@ -48,5 +48,5 @@
 	rm -rf $(DESTDIR)
 	@echo .
 	@echo To update debian/changelog type
-	@echo dch -v $(VERSION)-1
+	@echo dch -v 1:$(VERSION)-1
 	@echo .

## openstreetmap-map-icons 0.0.svn31107

=== debian/changelog ===
openstreetmap-map-icons (1:0.0.svn31107-1) unstable; urgency=medium

  * Move from experimental to unstable.
  * Update Homepage URL to new canonical URL.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 05 May 2015 17:51:35 +0200

openstreetmap-map-icons (1:0.0.svn31107-1~exp1) experimental; urgency=medium

  * New upstream SVN snapshot.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 27 Apr 2015 21:19:23 +0200

openstreetmap-map-icons (1:0.0.svn31074-1~exp1) experimental; urgency=medium

  * New upstream SVN snapshot.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Apr 2015 08:20:50 +0200

openstreetmap-map-icons (1:0.0.svn31044-1~exp1) experimental; urgency=medium

  * New upstream SVN snapshot.
  * Update my email to @debian.org address.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 05 Mar 2015 19:07:57 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: David Paleino <dapal@debian.org>,
            Debian OpenStreetMap Team <pkg-osm-maint@lists.alioth.debian.org>,
-           Bas Couwenberg <sebastic@xs4all.nl>
+           Bas Couwenberg <sebastic@debian.org>
 Section: utils
 Priority: optional
 Build-Depends: debhelper (>= 9)
 Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-grass/openstreetmap-map-icons.git
 Vcs-Git: git://anonscm.debian.org/pkg-grass/openstreetmap-map-icons.git
-Homepage: http://wiki.openstreetmap.org/index.php/Map_Icons
+Homepage: http://wiki.openstreetmap.org/wiki/Map_Icons
 
 Package: openstreetmap-map-icons-classic
 Architecture: all

## openstreetmap-map-icons 0.0.svn31964

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

PROJECT(map-icons)

AUX_SOURCE_DIRECTORY(${CMAKE_SOURCE_DIR} ALL_SRC)
message(STATUS "ALL_SRC: ${ALL_SRC}")


# Find Compile Command
FIND_PACKAGE(Perl REQUIRED)
FIND_PROGRAM(COMPILE_EXECUTABLE
  NAMES compile_icons.pl 
  PATHS tools ${CMAKE_SOURCE_DIR}/tools
  )
message(STATUS "Compile Command: ${COMPILE_EXECUTABLE}")

# ---------------------- Set Variables
IF (NOT APPLICATION_NAME)
  MESSAGE(STATUS "${PROJECT_NAME} is used as APPLICATION_NAME")
  SET(APPLICATION_NAME ${PROJECT_NAME})
ENDIF (NOT APPLICATION_NAME)

message(STATUS "CMAKE_INSTALL_PREFIX: ${CMAKE_INSTALL_PREFIX}")

SET(SHARE_INSTALL_PREFIX
  "${CMAKE_INSTALL_PREFIX}/share"
  CACHE PATH "Base directory for files which go to share/"
  FORCE
  )

SET(ICON_INSTALL_DIR
  "${SHARE_INSTALL_PREFIX}/icons/map-icons"
  CACHE PATH "The icon install dir (default data/map-icons/)"
  FORCE
  )

# ---------------------- README
configure_file(README ${CMAKE_CURRENT_BINARY_DIR}/README COPYONLY)
configure_file(README.icons ${CMAKE_CURRENT_BINARY_DIR}/README.icons COPYONLY)
install(
  FILES
    ${CMAKE_CURRENT_BINARY_DIR}/README
  DESTINATION
    ${ICON_INSTALL_DIR}
)
install(
  FILES
    ${CMAKE_CURRENT_BINARY_DIR}/README.icons
  DESTINATION
    ${ICON_INSTALL_DIR}
)

# ---------------------- compile-build
ADD_CUSTOM_TARGET(all
  COMMAND ${PERL_EXECUTABLE} ${COMPILE_EXECUTABLE} --src-dir=${CMAKE_SOURCE_DIR} --dst-dir=${CMAKE_CURRENT_BINARY_DIR}
  COMMENT "compile Map-Icons"
  VERBATIM
  )

=== debian/changelog ===
openstreetmap-map-icons (1:0.0.svn31964-1) unstable; urgency=medium

  * New upstream SVN snapshot.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 07 Jan 2016 20:33:54 +0100

openstreetmap-map-icons (1:0.0.svn31893-1) unstable; urgency=medium

  * New upstream SVN snapshot.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 31 Dec 2015 15:52:07 +0100

openstreetmap-map-icons (1:0.0.svn31779-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 24 Nov 2015 23:34:52 +0100

openstreetmap-map-icons (1:0.0.svn31779-1~exp1) experimental; urgency=medium

  * New upstream SVN snapshot.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 24 Nov 2015 09:08:57 +0100

openstreetmap-map-icons (1:0.0.svn31722-1) unstable; urgency=medium

  * New upstream SVN snapshot.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 30 Oct 2015 15:56:41 +0100

openstreetmap-map-icons (1:0.0.svn31608-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 18 Oct 2015 14:16:40 +0200

openstreetmap-map-icons (1:0.0.svn31608-1~exp1) experimental; urgency=medium

  * New upstream SVN snapshot.
  * Update SVN URL to use HTTPS.
  * Update Vcs-Browser & Homepage URLs to use HTTPS.
  * Enable parallel builds.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 10 Oct 2015 00:45:46 +0200

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
 Priority: optional
 Build-Depends: debhelper (>= 9)
 Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-grass/openstreetmap-map-icons.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/openstreetmap-map-icons.git
 Vcs-Git: git://anonscm.debian.org/pkg-grass/openstreetmap-map-icons.git
-Homepage: http://wiki.openstreetmap.org/wiki/Map_Icons
+Homepage: https://wiki.openstreetmap.org/wiki/Map_Icons
 
 Package: openstreetmap-map-icons-classic
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -8,14 +8,14 @@
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
 
-SVNREPO := http://svn.openstreetmap.org/applications/share/map-icons
+SVNREPO := https://svn.openstreetmap.org/applications/share/map-icons
 DATE := $(shell date +%Y%m%d)
 VERSION := 0.0.svn${SVNREV}
 DESTDIR := ../tarballs/openstreetmap-map-icons-${VERSION}
 DESTTGZ := ../tarballs/openstreetmap-map-icons_${VERSION}.orig.tar.gz
 
 %:
-	dh $@
+	dh $@ --parallel
 
 override_dh_install:
 	dh_install
@@ -46,6 +46,10 @@
 	tar czf $(DESTTGZ) -C `dirname $(DESTDIR)` `basename $(DESTDIR)`
 	@echo Cleaning up
 	rm -rf $(DESTDIR)
+	@echo Moving tarball to parent directory
+	mv ${DESTTGZ} ../
+	@echo Removing tarballs directory
+	rmdir ../tarballs
 	@echo .
 	@echo To update debian/changelog type
 	@echo dch -v 1:$(VERSION)-1

## openstreetmap-map-icons 0.0.svn32805

=== debian/changelog ===
openstreetmap-map-icons (1:0.0.svn32805-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 18 Aug 2016 09:55:48 +0200

openstreetmap-map-icons (1:0.0.svn32805-1) unstable; urgency=medium

  * New upstream SVN snapshot.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 12 Aug 2016 13:49:49 +0200

openstreetmap-map-icons (1:0.0.svn32641-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 17 Jul 2016 19:19:03 +0200

openstreetmap-map-icons (1:0.0.svn32641-1) unstable; urgency=medium

  * New upstream SVN snapshot.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 12 Jul 2016 12:41:53 +0200

openstreetmap-map-icons (1:0.0.svn32149-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Update branch in gbp.conf & Vcs-Git URL.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 19 Jun 2016 22:09:11 +0200

openstreetmap-map-icons (1:0.0.svn32149-1) unstable; urgency=medium

  * New upstream SVN snapshot.
  * Bump Standards-Version to 3.9.8, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 29 Apr 2016 22:39:56 +0200

openstreetmap-map-icons (1:0.0.svn32088-1) unstable; urgency=medium

  * New upstream SVN snapshot.
  * Update Vcs-Git URL to use HTTPS.
  * Bump Standards-Version to 3.9.7, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 01 Mar 2016 07:20:07 +0100

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Section: utils
 Priority: optional
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/openstreetmap-map-icons.git
-Vcs-Git: git://anonscm.debian.org/pkg-grass/openstreetmap-map-icons.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-grass/openstreetmap-map-icons.git -b jessie-backports
 Homepage: https://wiki.openstreetmap.org/wiki/Map_Icons
 
 Package: openstreetmap-map-icons-classic
